%define name            jtidy
%define version         1.0
%define release         0.20000804r7dev.1jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section		free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        HTML syntax checker and pretty printer
License:        Freely distributable
Source0:        http://download.sf.net/jtidy/jtidy-04aug2000r7-dev.zip
Source1:        %{name}.jtidy.script
Patch0:         %{name}.noapis.patch
URL:            http://sourceforge.net/projects/jtidy/
BuildRequires:  ant
Requires:       jaxp_parser_impl
Group:          Development/Java
Buildarch:      noarch
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage
Epoch:          1

%description
JTidy is a Java port of HTML Tidy, a HTML syntax checker and pretty
printer. Like its non-Java cousin, JTidy can be used as a tool for
cleaning up malformed and faulty HTML. In addition, JTidy provides a DOM
parser for real-world HTML.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-04aug2000r7-dev
%patch0 -p0
# remove all binary libs, javadocs, and included JAXP API sources
find . -name "*.jar" -exec rm -f {} \;
rm -rf doc/api src/org/xml src/org/w3c/dom
# correct silly permissions
chmod -R go=u-w *

%build
CLASSPATH=%{javadir}/xml-commons-apis.jar ant

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 build/Tidy.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
# jar versioning
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr doc/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
# shell script
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE NOTES doc/devel
%{javadir}/*
%{_bindir}/*

%files javadoc
%defattr(-,root,root,-)
%{javadocdir}/%{name}-%{version}

%changelog
* Fri Aug 30 2002 Ville Skytt <ville.skytta at iki.fi> 1:1.0-0.20000804r7dev.1jpp
- Change version to 1.0, put revision to release, add Epoch.
- Don't use included DOM and SAX, require jaxp_parser_impl.
- Add non-versioned jar symlink.
- Add shell script.
- Vendor, Distribution tags.

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20000804-0.r7dev.5jpp 
- versioned dir for javadoc
- no dependencies for javadoc package
- section macro

* Mon Dec 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 20000804-0.r7dev.4jpp
- new versioning scheme
- jar name is now jtidy.jar
- javadoc in javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-3jpp
-  new jpp extension
-  compiled with xalan2

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-2jpp
-  fixed changelog
-  fixed license

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r7-dev-1jpp
-  r7dev

* Mon Nov 19 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 04aug2000r6-1jpp
-  first release


